Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPPointerToMemberType

All Superinterfaces:
  `Cloneable`, `IPointerType`, `IType`

All Known Subinterfaces:
  `IGPPPointerToMemberType`

public interface ICPPPointerToMemberType extends IPointerType

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

## Method Summary

Modifier and Type
Method
Description
`IType`
`getMemberOfClass()`
Returns the class to whose members this points to.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IPointerType

`getType, isConst, isRestrict, isVolatile`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

## Method Details

### getMemberOfClass

IType getMemberOfClass()
Returns the class to whose members this points to.

Returns:
  Either ICPPClassType or ICPPTeplateTypeParameter.